"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var const_1 = require("./const");
var getRelationOfKeySets_1 = require("./getRelationOfKeySets");
var getRelationOfUnitSetToNonEmptySet_1 = require("./getRelationOfUnitSetToNonEmptySet");
exports.getRelationOfFiniteSets = function (a, b) {
    var aLen = a.length;
    var bLen = b.length;
    if (aLen === 0) {
        if (bLen === 0) {
            return const_1.DisjointEqual;
        }
        return const_1.Subset;
    }
    if (bLen === 0) {
        return const_1.Superset;
    }
    if (aLen === 1) {
        return getRelationOfUnitSetToNonEmptySet_1.getRelationOfUnitSetToNonEmptySet(a[0], b);
    }
    if (bLen === 1) {
        var rel = getRelationOfUnitSetToNonEmptySet_1.getRelationOfUnitSetToNonEmptySet(b[0], a);
        return rel === const_1.IntersectingSubset ? const_1.IntersectingSuperset : rel;
    }
    var aMap = {};
    for (var i = 0; i < aLen; i += 1) {
        aMap[a[i]] = 1;
    }
    var bMap = {};
    for (var i = 0; i < bLen; i += 1) {
        bMap[b[i]] = 1;
    }
    return getRelationOfKeySets_1.getRelationOfKeySets(aMap, bMap, a, b);
};
//# sourceMappingURL=getRelationOfFiniteSets.js.map