"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var const_1 = require("./const");
var getRelationOfFiniteSets_1 = require("./getRelationOfFiniteSets");
exports.getRelationOfSets = function (a, b) {
    var aNot = a.Not;
    var bNot = b.Not;
    if (aNot === undefined) {
        if (bNot === undefined) {
            return getRelationOfFiniteSets_1.getRelationOfFiniteSets(a, b);
        }
        return const_1.FiniteToComplement[getRelationOfFiniteSets_1.getRelationOfFiniteSets(a, bNot)];
    }
    if (bNot === undefined) {
        return const_1.ComplementToFinite[getRelationOfFiniteSets_1.getRelationOfFiniteSets(aNot, b)];
    }
    return const_1.ComplementToComplement[getRelationOfFiniteSets_1.getRelationOfFiniteSets(aNot, bNot)];
};
//# sourceMappingURL=getRelationOfSets.js.map