export declare const Disjoint = 0;
export declare const Intersecting: number;
export declare const Subset: number;
export declare const Superset: number;
export declare const IntersectingSubset: number;
export declare const IntersectingSuperset: number;
export declare const Equal: number;
export declare const IntersectingEqual: number;
export declare const DisjointEqual: number;
export declare const FiniteToComplement: {
    [K in number]: number;
};
export declare const ComplementToFinite: {
    [K in number]: number;
};
export declare const ComplementToComplement: {
    [K in number]: number;
};
export interface IKeySet {
    [key: string]: 1;
    [key: number]: 1;
}
export declare type Element = number | string;
export declare type FiniteSet = number[] | string[];
export interface Complement<T extends FiniteSet> {
    Not: T;
}
export declare type Set = FiniteSet | Complement<FiniteSet>;
//# sourceMappingURL=const.d.ts.map