"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const const_1 = require("./const");
exports.getRelationOfUnitSetToNonEmptySet = (element, set) => {
    let found = 0;
    let hasMore = 0;
    for (let i = 0, len = set.length; i < len; i += 1) {
        if (set[i] === element) {
            if (hasMore === 1) {
                return const_1.IntersectingSubset;
            }
            found = 1;
        }
        else {
            if (found === 1) {
                return const_1.IntersectingSubset;
            }
            hasMore = 1;
        }
    }
    if (found === 1) {
        return const_1.IntersectingEqual;
    }
    return const_1.Disjoint;
};
//# sourceMappingURL=getRelationOfUnitSetToNonEmptySet.js.map