"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Disjoint = 0;
exports.Intersecting = 1 << 0;
exports.Subset = 1 << 1;
exports.Superset = 1 << 2;
exports.IntersectingSubset = exports.Intersecting | exports.Subset;
exports.IntersectingSuperset = exports.Intersecting | exports.Superset;
exports.Equal = exports.Subset | exports.Superset;
exports.IntersectingEqual = exports.Intersecting | exports.Equal;
exports.DisjointEqual = exports.Disjoint | exports.Equal;
exports.FiniteToComplement = {
    [exports.Disjoint]: exports.Intersecting | exports.Subset,
    [exports.Intersecting]: exports.Intersecting,
    [exports.Subset]: exports.Subset,
    [exports.Subset | exports.Intersecting]: exports.Disjoint,
    [exports.Superset]: exports.Intersecting | exports.Subset,
    [exports.Superset | exports.Intersecting]: exports.Intersecting,
    [exports.Superset | exports.Subset]: exports.Subset,
    [exports.Superset | exports.Subset | exports.Intersecting]: exports.Disjoint,
};
exports.ComplementToFinite = {
    [exports.Disjoint]: exports.Intersecting | exports.Superset,
    [exports.Intersecting]: exports.Intersecting,
    [exports.Subset]: exports.Intersecting | exports.Superset,
    [exports.Subset | exports.Intersecting]: exports.Intersecting,
    [exports.Superset]: exports.Superset,
    [exports.Superset | exports.Intersecting]: exports.Disjoint,
    [exports.Superset | exports.Subset]: exports.Superset,
    [exports.Superset | exports.Subset | exports.Intersecting]: exports.Disjoint,
};
exports.ComplementToComplement = {
    [exports.Disjoint]: exports.Intersecting,
    [exports.Intersecting]: exports.Intersecting,
    [exports.Subset]: exports.Intersecting | exports.Superset,
    [exports.Subset | exports.Intersecting]: exports.Intersecting | exports.Superset,
    [exports.Superset]: exports.Intersecting | exports.Subset,
    [exports.Superset | exports.Intersecting]: exports.Intersecting | exports.Subset,
    [exports.Superset | exports.Subset]: exports.Intersecting | exports.Subset | exports.Superset,
    [exports.Superset | exports.Subset | exports.Intersecting]: exports.Intersecting | exports.Subset | exports.Superset,
};
//# sourceMappingURL=const.js.map