"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const const_1 = require("./const");
const getRelationOfFiniteSets_1 = require("./getRelationOfFiniteSets");
exports.getRelationOfSets = (a, b) => {
    const aNot = a.Not;
    const bNot = b.Not;
    if (aNot === undefined) {
        if (bNot === undefined) {
            return getRelationOfFiniteSets_1.getRelationOfFiniteSets(a, b);
        }
        return const_1.FiniteToComplement[getRelationOfFiniteSets_1.getRelationOfFiniteSets(a, bNot)];
    }
    if (bNot === undefined) {
        return const_1.ComplementToFinite[getRelationOfFiniteSets_1.getRelationOfFiniteSets(aNot, b)];
    }
    return const_1.ComplementToComplement[getRelationOfFiniteSets_1.getRelationOfFiniteSets(aNot, bNot)];
};
//# sourceMappingURL=getRelationOfSets.js.map