import { ComplementToComplement, ComplementToFinite, FiniteToComplement, } from './const';
import { getRelationOfFiniteSets } from './getRelationOfFiniteSets';
export const getRelationOfSets = (a, b) => {
    const aNot = a.Not;
    const bNot = b.Not;
    if (aNot === undefined) {
        if (bNot === undefined) {
            return getRelationOfFiniteSets(a, b);
        }
        return FiniteToComplement[getRelationOfFiniteSets(a, bNot)];
    }
    if (bNot === undefined) {
        return ComplementToFinite[getRelationOfFiniteSets(aNot, b)];
    }
    return ComplementToComplement[getRelationOfFiniteSets(aNot, bNot)];
};
//# sourceMappingURL=getRelationOfSets.js.map